Private Link Resources - Get
Hiermee haalt u een private link-resource voor het cluster op.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/{clusterName}/privateLinkResources/{privateLinkResourceName}?api-version=2023-03-02-preview
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
cluster
|
path | True |
string minLength: 3maxLength: 40 pattern: ^(?![0-9]+$)(?!-)[a-z0-9-]{3,40}(? |
De naam van het cluster. |
|
private
|
path | True |
string pattern: ^[-\w\._]+$ |
De naam van de private link-resource. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Gets a private link resource for cluster.
Voorbeeldaanvraag
Voorbeeldrespons
{
"name": "plr",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2/privateLinkResources",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster/privateLinkResources/plr",
"properties": {
"groupId": "coordinator",
"requiredMembers": [
"coordinator"
],
"requiredZoneNames": [
"privatelink.testcluster.postgres.database.azure.com"
]
},
"systemData": {
"createdAt": "2022-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2022-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Private |
Een private link-resource. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
PrivateLinkResource
Een private link-resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.groupId |
string |
De resourcegroep-id van de private link. |
| properties.requiredMembers |
string[] |
Voor de private link-resource zijn lidnamen vereist. |
| properties.requiredZoneNames |
string[] |
De naam van de private link-resource voor de DNS-zone van de private link. |
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |